Package org.jbpm.services.task.assignment.impl

## Class TaskAverageDuration

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.TaskAverageDuration

-     public class TaskAverageDuration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskAverageDuration​(Double averageDuration, String deploymentId, String processId, String taskName)` |
    `TaskAverageDuration​(Long duration, String deploymentId, String processId, String taskName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Double` | `getAverageDuration()` |
    `String` | `getDeploymentId()` |
    `String` | `getProcessId()` |
    `String` | `getTaskName()` |
    `void` | `setAverageDuration​(Double averageDuration)` |
    `void` | `setDeploymentId​(String deploymentId)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setTaskName​(String taskName)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAverageDuration

          public TaskAverageDuration​(Double averageDuration,
                                     String deploymentId,
                                     String processId,
                                     String taskName)

    - #### TaskAverageDuration

          public TaskAverageDuration​(Long duration,
                                     String deploymentId,
                                     String processId,
                                     String taskName)

  - ### Method Detail

    - #### getAverageDuration

          public Double getAverageDuration()

    - #### setAverageDuration

          public void setAverageDuration​(Double averageDuration)

    - #### getDeploymentId

          public String getDeploymentId()

    - #### setDeploymentId

          public void setDeploymentId​(String deploymentId)

    - #### getProcessId

          public String getProcessId()

    - #### setProcessId

          public void setProcessId​(String processId)

    - #### getTaskName

          public String getTaskName()

    - #### setTaskName

          public void setTaskName​(String taskName)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`